Bug 1659054

Summary: The error message reports twice about the same host problem instead of reporting of two separate hosts
Product: [oVirt] ovirt-engine Reporter: Polina <pagranat>
Component: BLL.VirtAssignee: Steven Rosenberg <srosenbe>
Status: CLOSED DEFERRED QA Contact: meital avital <mavital>
Severity: low Docs Contact:
Priority: low    
Version: 4.3.0CC: bugs, rbarry, srosenbe
Target Milestone: ---Flags: rule-engine: ovirt-4.5+
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-04-01 14:47:26 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: Virt RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1660382    

Description Polina 2018-12-13 13:37:46 UTC
Description of problem: Cosmetic problem: when trying to migrate VM configured with hugepages to the hosts with no available hugepages, the error message reports about the same host twice:
[Cannot migrate VM. There is no host that satisfies current scheduling constraints. See below for details:, The host host_mixed_2 did not satisfy internal filter HugePages because there are not enough free huge pages to run the VM., The host host_mixed_2 did not satisfy internal filter HugePages because there are not enough free huge pages to run the VM.]

Version-Release number of selected component (if applicable):
ovirt-release-master-4.3.0-0.1.master.20181205000130.git6b48e41.el7.noarch

How reproducible:100%


Steps to Reproduce:
1.run High Performance VM with hugepages on a host supporting for hugepages
2.disable hugepages on two other hosts in the environment by command 'echo 0 > /sys/kernel/mm/hugepages/hugepages-2048kB/nr_hugepages'
3. Migrate VM

Actual results: VM is not migrated as expected bug error must be fixed:

2018-12-13 15:16:02,114+02 ERROR [org.ovirt.engine.api.restapi.resource.AbstractBackendResource] (default task-3) [] Operation Failed: [Cannot migrate VM. There is no host that satisfies current scheduling constraints. See below for details:, The host host_mixed_2 did not satisfy internal filter HugePages because there are not enough free huge pages to run the VM., The host host_mixed_2 did not satisfy internal filter HugePages because there are not enouhost_mixed_2gh free huge pages to run the VM.]

Expected results:
the error must say about host_mixed_2 and host_mixed_1

Comment 1 Michal Skrivanek 2020-03-18 15:44:03 UTC
This bug didn't get any attention for a while, we didn't have the capacity to make any progress. If you deeply care about it or want to work on it please assign/target accordingly

Comment 2 Michal Skrivanek 2020-03-18 15:47:12 UTC
This bug didn't get any attention for a while, we didn't have the capacity to make any progress. If you deeply care about it or want to work on it please assign/target accordingly

Comment 3 Michal Skrivanek 2020-04-01 14:47:26 UTC
Closing old bug. Please reopen if still relevant/you want to work on it.